Bump zookeeper from 3.4.6 to 3.4.14 in /framework (#604)